Bug 244835 - www/py-notebook: Update to 6.0.3
Summary: www/py-notebook: Update to 6.0.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL: https://github.com/jupyter/notebook/b...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-15 23:03 UTC by Danilo G. Baio
Modified: 2020-03-17 01:32 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback+


Attachments
py-notebook-6.0.3.patch (4.73 KB, patch)
2020-03-15 23:03 UTC, Danilo G. Baio
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo G. Baio freebsd_committer 2020-03-15 23:03:02 UTC
Created attachment 212438 [details]
py-notebook-6.0.3.patch

Remove support for Python 2.x.

Update consumers to use Python >= 3.5 (avoid break bulk -a).
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-16 06:29:08 UTC
Comment on attachment 212438 [details]
py-notebook-6.0.3.patch

If it passes QA (consumers, and poudriere for this port):

Approved by: koobs (python, maintainer)

Please include a changelog link in the commit log message:

Changelog:

  <changelog|release notes url>
Comment 2 commit-hook freebsd_committer 2020-03-16 22:37:57 UTC
A commit references this bug:

Author: dbaio
Date: Mon Mar 16 22:37:24 UTC 2020
New revision: 528548
URL: https://svnweb.freebsd.org/changeset/ports/528548

Log:
  www/py-notebook: Update to 6.0.3

  Remove support for Python 2.x.

  Update consumers to use Python >= 3.5 (avoid break bulk -a).

  Changelog:	https://github.com/jupyter/notebook/blob/6.0.3/docs/source/changelog.rst

  PR:		244835
  Approved by:	python (koobs, maintainer)

Changes:
  head/devel/py-ipyparallel/Makefile
  head/devel/py-ipywidgets/Makefile
  head/devel/py-widgetsnbextension/Makefile
  head/www/py-notebook/Makefile
  head/www/py-notebook/distinfo
Comment 3 Danilo G. Baio freebsd_committer 2020-03-16 22:38:31 UTC
thanks koobs